package com.olc.scan.aidl;

import com.olc.scan.aidl.ScannerInfo;
import android.view.KeyEvent;
import com.olc.scan.IScanCallBack;
interface IScanServer {

	ScannerInfo initScanner();
	boolean scanProcess(in KeyEvent event);
	void startRead(in IScanCallBack cb);
	void startReadBroadcast();
	void setScanResume(boolean flag);
	List<String> getSymbologies();
	
	void setScanSwitchRight(boolean flag);
	void setScanSwitchLeft(boolean flag);
	void setScanSwitchMiddle(boolean flag);
	void setScanOperatingMode(int state);
	void setScanSound(boolean flag);
	void setScanVibrate(boolean flag);
	void setBarcodeReceiveModel( int state);
	void setScanDelay(float delay);
	void setBarcodeSeparator(int state);
	void setBarcodePrefixState(boolean flag);
	 void setBarcodePrefix( String prefix);
	 void setBarcodeSuffixState(boolean flag) ;
    void setBarcodeSuffix(String suffix);
	int getScannerInfo(out byte[]scandata);
	int enableScanType(String codeType,boolean enable);
	int setTimeout(int value);
	int setLight(int value);
    
	int UpgradeStm32(in byte[] pout, int va);
    	int OpenPsam();
    	int ClosePsam();
    	String GetPsamVersion();
	int SetBaudPsam(byte baud);
	int PowerOffPsam1();
   	int PowerOnPsam1(int nBaud, out byte[] pout, out int[] nout);
	int PowerOffPsam2();
	int PowerOnPsam2(int nBaud, out byte[] pout, out int[] nout); 
   	int SendCommandPsam1(in byte[] pin, int nin, out byte[] pout,out int[] nout);
   	int SendCommandPsam2(in byte[] pin, int nin, out byte[] pout,out int[] nout);	
}